=== debian/changelog ===
flightgear (2.6.0-1build1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:07:38 +0000

flightgear (2.6.0-1) unstable; urgency=low

  * New upstream release.
  * Depend on cmake. No longer depend on autotools-dev.
  * Updated debian/rules for the new cmake-based build
    system used by upstream, and cleaned it up a bit.
  * Switched source package format to 3.0 (quilt).
  * Added build-dependencies on libplib-dev, libudev-dev,
    and libpng12-dev.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 16 Jul 2012 06:01:36 +0200

flightgear (2.4.0-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS with svn 1.7 by adding missing include statement. (Closes: #678783).
  * Set urgency=high to fix the RC bug.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 27 Jun 2012 17:39:22 +0200

flightgear (2.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7.  Closes: #667167.
    - utils/TerraSync/terrasync.cxx: Include <unistd.h> for
      write, getpid, sleep.

 -- Matej Vela <vela@debian.org>  Sun, 20 May 2012 01:38:16 +0100

flightgear (2.4.0-1) unstable; urgency=low

  * New upstream release. Closes: #638588.
  * Build-Depend on OpenSceneGraph 3.0, and the Subversion library.
  * Recommend fgfs-scenery-base.
  * Enable parallel builds (shorter compile times on multicore CPUs).
  * Removed hack that tried to build without optimizations if
    building with optimizations fails.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 03 Sep 2011 22:16:12 +0200

flightgear (2.0.0-4) unstable; urgency=low

  * Backported a bunch of upstream commits (from their git tree)
    for support of newer versions of OpenSceneGraph:
    f901dac 4b2436a c5366cc b692a16 473cea7
    Closes: #634424

 -- Ove Kaaven <ovek@arcticnet.no>  Fri, 22 Jul 2011 01:58:19 +0200

flightgear (2.0.0-3) unstable; urgency=low

  * Recommend fgfs-aircraft-base and fgfs-models-base.
    Closes. #610276.
  * Added note about scenery SharedModels.tgz to README.Debian.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 30 Jan 2011 15:46:35 +0100

flightgear (2.0.0-2) unstable; urgency=low

  * Build-Depend on simgear 2.0.0-2, which hopefully now
    builds correctly.
  * Also remember to use pbuilder. Closes: #609572.

 -- Ove Kaaven <ovek@arcticnet.no>  Tue, 11 Jan 2011 04:24:20 +0100

flightgear (2.0.0-1) unstable; urgency=low

  * New upstream release. Closes: #573037.
  * Add ${misc:Depends} to debian/control.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 03 Oct 2010 19:39:36 +0200

flightgear (1.9.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: UGear_command.cxx:41: error: 'snprintf' was not declared in
    this scope". Applied patch by Cyril Brulebois (Closes: #560494)

 -- Bastian Venthur <venthur@debian.org>  Sun, 21 Feb 2010 16:40:20 +0100

flightgear (1.9.1-1) unstable; urgency=low

  * New upstream release. Closes: #510387.
  * Updated debian/control and things for FlightGear 1.9.1.
    This includes depending on plib 1.8.5. Closes: #528635.
  * Added Vcs-Browser and Vcs-Svn fields to debian/control.
  * Converted debian/watch to version 3. Closes: #529110.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 14 Jun 2009 21:35:48 +0200

flightgear (1.0.0-3) unstable; urgency=low

  * Made the pkg-fgfs-crew mailing list the official maintainer of the
    FlightGear package, and myself a mere uploader.
  * Updated libglut3-dev build-dependency to freeglut3-dev. Closes:
    #394491.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 21 Jun 2008 14:10:28 +0200

flightgear (1.0.0-2) unstable; urgency=low

  * Added Homepage field.
  * Added flightgear.desktop file by Lukas Fittl. Closes: #409683.
  * Build-Depend on simgear-dev 1.0.0-3 or later.
  * Reverted all Debian patches to upstream's makefiles;
    with simgear 1.0.0-3 they shouldn't be needed anymore.
  * Use debian/compat file instead of setting DH_COMPAT in debian/rules.
    Upgraded DH build-dependency and compatibility level to 5.
  * Set optimization level according to DEB_BUILD_OPTIONS.
  * No longer clear -g according to DEB_BUILD_OPTIONS, leave that
    to dh_strip.
  * Upgraded Standards-Version to 3.7.3.
  * Cleaned debian/rules by removing a whole lot of unnecessary
    dh_* calls (originally from the dh_make template).

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 10 Apr 2008 10:13:54 +0200

flightgear (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Sat, 22 Dec 2007 15:39:49 +0100

flightgear (0.9.10-2) unstable; urgency=low

  * Updated the build dependencies for xorg 7.0. Apparently the
    amd64 autobuilder doesn't use Provides.

 -- Ove Kaaven <ovek@arcticnet.no>  Wed, 17 May 2006 17:12:09 -0400

flightgear (0.9.10-1) unstable; urgency=low

  * New upstream release.

 -- Ove Kaaven <ovek@arcticnet.no>  Fri,  5 May 2006 20:02:30 -0400

flightgear (0.9.9-2) unstable; urgency=low

  * Apply patch from Martin Michlmayr and upstream CVS for
    g++ 4.1 build failure. Closes: #356598.
    (Martin also reported a link failure, but I see no reason
    that should happen in a clean build, and upstream doesn't
    seem to have had that kind of issue either, so he probably
    just got a misbuild from his experimentations.)
  * Build-Depend on libalut-dev, and simgear 0.3.9-3.

 -- Ove Kaaven <ovek@arcticnet.no>  Sun, 19 Mar 2006 06:47:39 -0500

flightgear (0.9.9-1) unstable; urgency=low

  * New upstream release. Closes: #341727.
    Includes completely rewritten 3D clouds. Closes: #330861.
    (Other stuff: a working aircraft carrier, new aircraft,
    high-G blackouts, better weather, improved multiplayer,
    and much more.)

 -- Ove Kaaven <ovek@arcticnet.no>  Mon,  2 Jan 2006 15:49:28 -0500

flightgear (0.9.8-3) unstable; urgency=low

  * Built with gcc-4.0-compiled simgear.

 -- Ove Kaaven <ovek@arcticnet.no>  Mon, 25 Jul 2005 03:30:24 -0400

flightgear (0.9.8-2) unstable; urgency=low


