=== debian/control ===
Source: flightgear
Section: games
Priority: extra
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>
Build-Depends: debhelper (>> 5),
 libx11-dev, libxext-dev, libxi-dev, libice-dev, libsm-dev, libxt-dev, libxmu-dev,
 libgl1-mesa-dev | xlibmesa-gl-dev | libgl-dev,
 libglu1-mesa-dev | libglu1-xorg-dev | xlibmesa-glu-dev | libglu-dev,
 freeglut3-dev | libglut3-dev, zlib1g-dev, libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
 libpng12-dev | libpng3-dev | libpng-dev, libboost-dev, libplib-dev (>= 1.8.5),
 libopenscenegraph-dev (>> 3.0.0), libopenal-dev, libalut-dev, libsvn-dev,
 libudev-dev, cmake (>= 2.6), simgear-dev (>= 2.6.0-1)
Standards-Version: 3.7.3
Homepage: http://www.flightgear.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fgfs/flightgear/trunk/
Vcs-Svn: svn://svn.debian.org/pkg-fgfs/flightgear/trunk/

Package: flightgear
Architecture: any
Depends: ${shlibs:Depends}, fgfs-base (>= 2.6.0), ${misc:Depends}
Recommends: fgfs-aircraft-base (>= 2.6.0), fgfs-models-base (>= 2.6.0),
 fgfs-scenery-base (>= 2.6.0)
Description: Flight Gear Flight Simulator
 Flight Gear is a free and highly sophisticated flight simulator.
 .
 This package contains the runtime binaries.
