=== debian/watch ===
version=3
#ftp://ftp.flightgear.org/pub/fgfs/Source/flightgear-(.*)\.tar\.bz2
ftp://mirrors.ibiblio.org/pub/mirrors/flightgear/ftp/Source/flightgear-(.*)\.tar\.bz2
